#include <iostream>
#include <vector>

using namespace std;

int main()
{
    const size_t SCREEN_WIDTH = 80;
    const size_t MAX_ASTERISK = SCREEN_WIDTH - 3 - 1;
    size_t number_count, bin_count;
    cerr << "Enter number count: " << endl;
    cin >> number_count;
    cerr << "Enter bin count: " << endl;
    cin >> bin_count;
    vector<double> numbers(number_count);
    for(int i = 0; i < number_count; i++)
    {

        cerr << "Enter element: " << endl;
        cin >> numbers[i];
    }
    vector<size_t> bins(bin_count);
    double min = numbers[0];
    double max = numbers[0];
    for (double x : numbers)
    {
        if (x < min)
        {
            min = x;
        }
        else if (x > max)
        {
            max = x;
        }
    }
    double bin_size = (max - min) / bin_count;
    for (size_t i = 0; i < number_count; i++)
    {
        bool found = false;
        for (size_t j = 0; (j < bin_count - 1) && !found; j++)
        {
            auto lo = min + j * bin_size;
            auto hi = min + (j + 1) * bin_size;
            if ((lo <= numbers[i]) && (numbers[i] < hi))
            {
                bins[j]++;
                found = true;
            }
        }
        if (!found)
        {
            bins[bin_count - 1]++;
        }
    }
    int maxbin = 0;
    for(int bin : bins){
        if(bin > maxbin){
            maxbin = bin;
        }
    }
    for(int bin : bins)
    {
        size_t height = bin;
        if (maxbin > 76){
            size_t height = 76 * (static_cast<double>(bin) / maxbin);
        }
        if(10<=bin && bin<100){
            cout << " " << bin << "|";
        }
        else if(bin<10){
            cout << " " << " " << bin << "|";
        }
        else if(bin>100){
            cout << bin << "|";
        }
        for(int i = 0; i < height; i++)
        {
            cout << "*";
        }
        cout << endl;
    }
    return 0;
}
